package com.prolog.cs.biz.outbound.model;

import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * @Description  
 * @Date 2022-06-09 
 */
@ApiModel
@Table ( value ="oms_packing_data" )
public class OmsPackingData  implements Serializable {
	private static final long serialVersionUID =  8341921118864851813L;
	@Id
	@ApiModelProperty(value = "唯一ID")
	@Column(value = "id")
	private String id;

	@ApiModelProperty(value = "WMS单据ID") 
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "WMS单号") 
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "WMS单行号") 
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "商品ID") 
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "仓库ID") 
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "货主ID") 
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "ERP单ID") 
	@Column(value = "ref_billid")
	private String refBillid;

	@ApiModelProperty(value = "ERP单号") 
	@Column(value = "ref_billno")
	private String refBillno;

	@ApiModelProperty(value = "ERP单行号") 
	@Column(value = "ref_seqno")
	private String refSeqno;

	@ApiModelProperty(value = "收货单位ID") 
	@Column(value = "shipperid")
	private String shipperid;

	@ApiModelProperty(value = "收货单位编码") 
	@Column(value = "shippercode")
	private String shippercode;

	@ApiModelProperty(value = "收货单位名称") 
	@Column(value = "shippername")
	private String shippername;

	@ApiModelProperty(value = "装箱标记(1:整件，2:零货)")
	@Column(value = "boxmode")
	private String boxmode;

	@ApiModelProperty(value = "箱号 ") 
	@Column(value = "boxcode")
	private String boxcode;

	@ApiModelProperty(value = "整箱数") 
	@Column(value = "wholenum")
	private BigDecimal wholenum;

	@ApiModelProperty(value = "拼箱数") 
	@Column(value = "totboxnum")
	private BigDecimal totboxnum;

	@ApiModelProperty(value = "拼箱号") 
	@Column(value = "mergenumber")
	private String mergenumber;

	@ApiModelProperty(value = "总箱数") 
	@Column(value = "totpcs")
	private BigDecimal totpcs;

	@ApiModelProperty(value = "总数量") 
	@Column(value = "totqty")
	private BigDecimal totqty;

	@ApiModelProperty(value = "重量") 
	@Column(value = "totweight")
	private BigDecimal totweight;

	@ApiModelProperty(value = "体积") 
	@Column(value = "totvolume")
	private BigDecimal totvolume;

	@ApiModelProperty(value = "装箱时间") 
	@Column(value = "confirmdate")
	private Date confirmdate;

	@ApiModelProperty(value = "集货位") 
	@Column(value = "stagecode")
	private String stagecode;

	@ApiModelProperty(value = "是否绿色通道 ") 
	@Column(value = "isgreenroad")
	private String isgreenroad;

	@ApiModelProperty(value = "合单号") 
	@Column(value = "unionbillcode")
	private String unionbillcode;

	@ApiModelProperty(value = "创建人") 
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "创建时间") 
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人") 
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间") 
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID") 
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称") 
	@Column(value = "p_enterprisename")
	private String enterprisename;

	@ApiModelProperty(value = "下传TMS标识") 
	@Column(value = "tms_flag")
	private String tmsFlag;


	public String getId() {
		return this.id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getRefBillid() {
		return this.refBillid;
	}

	public void setRefBillid(String refBillid) {
		this.refBillid = refBillid;
	}

	public String getRefBillno() {
		return this.refBillno;
	}

	public void setRefBillno(String refBillno) {
		this.refBillno = refBillno;
	}

	public String getRefSeqno() {
		return this.refSeqno;
	}

	public void setRefSeqno(String refSeqno) {
		this.refSeqno = refSeqno;
	}

	public String getShipperid() {
		return this.shipperid;
	}

	public void setShipperid(String shipperid) {
		this.shipperid = shipperid;
	}

	public String getShippercode() {
		return this.shippercode;
	}

	public void setShippercode(String shippercode) {
		this.shippercode = shippercode;
	}

	public String getShippername() {
		return this.shippername;
	}

	public void setShippername(String shippername) {
		this.shippername = shippername;
	}

	public String getBoxmode() {
		return this.boxmode;
	}

	public void setBoxmode(String boxmode) {
		this.boxmode = boxmode;
	}

	public String getBoxcode() {
		return this.boxcode;
	}

	public void setBoxcode(String boxcode) {
		this.boxcode = boxcode;
	}

	public BigDecimal getWholenum() {
		return this.wholenum;
	}

	public void setWholenum(BigDecimal wholenum) {
		this.wholenum = wholenum;
	}

	public BigDecimal getTotboxnum() {
		return this.totboxnum;
	}

	public void setTotboxnum(BigDecimal totboxnum) {
		this.totboxnum = totboxnum;
	}

	public String getMergenumber() {
		return this.mergenumber;
	}

	public void setMergenumber(String mergenumber) {
		this.mergenumber = mergenumber;
	}

	public BigDecimal getTotpcs() {
		return this.totpcs;
	}

	public void setTotpcs(BigDecimal totpcs) {
		this.totpcs = totpcs;
	}

	public BigDecimal getTotqty() {
		return this.totqty;
	}

	public void setTotqty(BigDecimal totqty) {
		this.totqty = totqty;
	}

	public BigDecimal getTotweight() {
		return this.totweight;
	}

	public void setTotweight(BigDecimal totweight) {
		this.totweight = totweight;
	}

	public BigDecimal getTotvolume() {
		return this.totvolume;
	}

	public void setTotvolume(BigDecimal totvolume) {
		this.totvolume = totvolume;
	}

	public Date getConfirmdate() {
		return this.confirmdate;
	}

	public void setConfirmdate(Date confirmdate) {
		this.confirmdate = confirmdate;
	}

	public String getStagecode() {
		return this.stagecode;
	}

	public void setStagecode(String stagecode) {
		this.stagecode = stagecode;
	}

	public String getIsgreenroad() {
		return this.isgreenroad;
	}

	public void setIsgreenroad(String isgreenroad) {
		this.isgreenroad = isgreenroad;
	}

	public String getUnionbillcode() {
		return this.unionbillcode;
	}

	public void setUnionbillcode(String unionbillcode) {
		this.unionbillcode = unionbillcode;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

	public String getTmsFlag() {
		return this.tmsFlag;
	}

	public void setTmsFlag(String tmsFlag) {
		this.tmsFlag = tmsFlag;
	}

}
